org.apache.maven.shared.model.fileset

## Class FileSet

- java.lang.Object
- - org.apache.maven.shared.model.fileset.SetBase
  - - org.apache.maven.shared.model.fileset.FileSet

All Implemented Interfaces:
  Serializable

    public class FileSet
    extends SetBase
    implements Serializable

Defines the rules for matching and working with files in a given base directory.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDirectory()` Get absolute or relative from the module's directory.
`String` `getLineEnding()` Get controls the line-endings of files in this fileSet.
`String` `getModelEncoding()` Get the modelEncoding field.
`void` `setDirectory(String directory)` Set absolute or relative from the module's directory.
`void` `setLineEnding(String lineEnding)` Set controls the line-endings of files in this fileSet.
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.

### Methods inherited from class org.apache.maven.shared.model.fileset.SetBase

`addExclude, addInclude, getDirectoryMode, getExcludes, getExcludesArray, getFileMode, getIncludes, getIncludesArray, getMapper, getOutputDirectory, isFollowSymlinks, isUseDefaultExcludes, removeExclude, removeInclude, setDirectoryMode, setExcludes, setFileMode, setFollowSymlinks, setIncludes, setMapper, setOutputDirectory, setUseDefaultExcludes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSet

    public FileSet()

### Method Detail

#### getDirectory

    public String getDirectory()

Get absolute or relative from the module's directory. For example, "src/main/bin" would select this subdirectory of the project in which this dependency is defined.

Returns:
  String

#### getLineEnding

    public String getLineEnding()

Get controls the line-endings of files in this fileSet.
Valid values:

- "keep" - Preserve all line endings
- "unix" - Use Unix-style line endings
- "lf" - Use a single line-feed line endings
- "dos" - Use DOS-style line endings
- "crlf" - Use Carraige-return, line-feed line endings

Returns:
  String

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### setDirectory

    public void setDirectory(String directory)

Set absolute or relative from the module's directory. For example, "src/main/bin" would select this subdirectory of the project in which this dependency is defined.

Parameters:
  `directory` -

#### setLineEnding

    public void setLineEnding(String lineEnding)

Set controls the line-endings of files in this fileSet.
Valid values:

- "keep" - Preserve all line endings
- "unix" - Use Unix-style line endings
- "lf" - Use a single line-feed line endings
- "dos" - Use DOS-style line endings
- "crlf" - Use Carraige-return, line-feed line endings

Parameters:
  `lineEnding` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -